#hero {
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
}
#hero.big {
    height: 85vh;
}
#hero.small {
    height: 50vh;
}
.parallax-window {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 120%;
    z-index: 1;
}
.parallax-element {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    object-fit: cover;
}
.video-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.hero-content-overlay {
    position: relative;
    z-index: 2;
    color: white;
    padding-bottom: 100px;
}
.templates-team .hero-content-overlay,
.templates-contact .hero-content-overlay {
    padding-bottom: 120px;
}
.hero-title,
.hero-subtitle {
    position: relative;
    overflow: hidden;
}
.hero-title h1 {
    font-size: 24px;
    font-weight: 300;
    margin: 0px;
    margin-bottom: 10px;
    transform: translateY(100px);
    transition: transform 0.5s ease; 
}
.hero-content-overlay.animate h1 {
    transform: translateY(0px);
    transition: transform 0.5s ease; 
    transition-delay: 0.8s;
}
.hero-subtitle h2 {
    font-size: 28px;
    margin: 0px;
    margin-bottom: 30px;
    transform: translateY(100px);
    transition: transform 0.5s ease; 
}
.hero-content-overlay.animate h2 {
    transform: translateY(0px);
    transition: transform 0.5s ease; 
    transition-delay: 0.8s;
}
.hero-content-overlay .buttons {
    position: relative;
    overflow: hidden;
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
	gap: 10px;
}
.hero-content-overlay .button {
    transform: translateY(130px);
    transition: transform 0.5s ease; 
}
.hero-content-overlay.animate .button {
    transform: translateY(0px);
    transition: transform 0.5s ease; 
}
.hero-content-overlay.animate .button:nth-child(1) {
    transition-delay: 0.55s;
}
.hero-content-overlay.animate .button:nth-child(2) {
    transition-delay: 0.5s;
}
.hero-content-overlay.with-reviews {
    padding-bottom: 150px;
}
#hero .gradient-bg {
    position: absolute;
    z-index: 1;
    inset: 0;
    background: linear-gradient(
        45deg, 
        rgba(16, 16, 16, 0.8) 30%, 
        rgba(52, 208, 229, 0.8) 100%
    );
}
#hero::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 60px;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
    background-color: white;
    z-index: 1;
}
.hero-reviews {
    position: absolute;
    bottom: 30px;
    left: 25px;
    z-index: 2;
}
.hero-extra-text {
    position: absolute;
    bottom: 80px;
    right: 25px;
    z-index: 2;
    width: 85%;
    max-width: 250px;
    text-align: center;
    rotate: 7deg;
    opacity: 0;
    transform: translateY(100px);
    transition: all 0.5s ease;
}
.hero-content-overlay.animate .hero-extra-text {
    opacity: 1;
    transform: translateY(0px);
    transition: all 0.5s ease; 
    transition-delay: 1.5s;
}
.hero-extra-text p {
    font-size: 20px;
    font-family: "Caveat", cursive;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

@media only screen and (min-width: 1024px) {
	#hero::after {
		border-top-left-radius: 100px;
		border-top-right-radius: 100px;
	}
    .hero-title h1 {
        font-size: 38px;
    }
    .hero-subtitle h2 {
        font-size: 56px;
    }
    .hero-extra-text {
        max-width: 300px;
    }
    .hero-extra-text p {
        font-size: 22px;
    }
}